## ros-melodic-hfl-driver 0.0.20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)

project(hfl_driver)

## Compile as C++11, supported in ROS kinetic  and newer
add_compile_options(-std=c++11)

## Subdirectories
add_subdirectory(hfl_utilities)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  tf
  tf2
  tf2_geometry_msgs 
  dynamic_reconfigure
  nodelet
  roscpp
  rospy
  std_msgs
  message_generation
  image_transport
  image_geometry
  camera_info_manager
  cv_bridge
  udp_com
)

## System dependencies are found with CMake's conventions
#find_package(Boost REQUIRED COMPONENTS)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
  DIRECTORY msg
  FILES 
  Status.msg
  ToFImage.msg
  PixelData.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES 
  std_msgs
  geometry_msgs
)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
generate_dynamic_reconfigure_options(
  cfg/HFL.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES hfl_utilities
  CATKIN_DEPENDS 
  roscpp 
  rospy 
  std_msgs 
  visualization_msgs
  angles
  tf
  tf2
  tf2_geometry_msgs
  image_transport
  image_geometry
  camera_info_manager
  message_generation
  udp_com
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME} 
  src/camera_commander/camera_commander.cpp
  src/image_processor/hfl110dcu.cpp
)

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
#add_executable()

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
add_dependencies(${PROJECT_NAME} 
  ${PROJECT_NAME}_gencfg
  ${PROJECT_NAME}_generate_messages_cpp
  ${catkin_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  hfl_utilities
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  find_package(rostest REQUIRED)
  # ROS linter
  roslint_cpp()
  # Add rostest gtest
  add_rostest_gtest(tests_hfl110dcu
    test/hfl110dcu.test 
    test/hfl110dcu-test.cpp
    test/hfl110dcu-utils-test.cpp
    test/test_main.cpp)

  target_link_libraries(tests_hfl110dcu
	  ${PROJECT_NAME}
	  ${catkin_LIBRARIES}
	  hfl_utilities)
endif()

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
 install(TARGETS ${PROJECT_NAME}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )

## Mark cpp header files for installation
   #DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   # FILES_MATCHING PATTERN "*.h"
   # PATTERN ".svn" EXCLUDE

## Mark other files for installation (e.g. launch and bag files, etc.)

#Launch Files 
install(FILES
  launch/hfl110dcu.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
 )
#nodelets.xml
install(FILES
  nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-hfl-driver (0.0.20-1stretch) stretch; urgency=high

  * fixed package.xml for rosdep install
  * Merge pull request #58 <https://github.com/continental/hfl_driver/issues/58> from continental/release-0.0.19
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Tue, 15 Sep 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.19-1stretch) stretch; urgency=high

  * 0.0.19
  * Update changelog
  * Merge pull request #54 <https://github.com/continental/hfl_driver/issues/54> from continental/release-0.0.18
  * removed hfl_utilties ros package.xml
  * Merge pull request #52 <https://github.com/continental/hfl_driver/issues/52> from continental/release-0.0.18
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.18-1stretch) stretch; urgency=high

  * put in some dummy tests for now
  * fixed one unit test
  * hfl_utilities needs to be a SHARED lib
  * missing image_geometry in package.xml
  * fixed merge mistake
  * Merge branch 'updates' into ros1/devel
  * added comment referencing initMatrix function
  * Merge pull request #46 <https://github.com/continental/hfl_driver/issues/46> from continental/main
  * merge in public github changes
  * 
    
      * various updates to pointcloud output
    
  * Merge pull request #45 <https://github.com/continental/hfl_driver/issues/45> from continental/release-0.0.17
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 11 Sep 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.17-1stretch) stretch; urgency=high

  * Merge pull request #42 <https://github.com/continental/hfl_driver/issues/42> from continental/ros1/main
  * fixed build export depend typo
  * add dynamic_reconfigure to build depend
  * 0.0.17
  * Update changelog
  * Merge pull request #42 <https://github.com/continental/hfl_driver/issues/42> from continental/ros1/main
  * Merge pull request #39 <https://github.com/continental/hfl_driver/issues/39> from continental/ros1/main
  * Merge pull request #34 <https://github.com/continental/hfl_driver/issues/34> from continental/release-0.0.14
  * Merge pull request #31 <https://github.com/continental/hfl_driver/issues/31> from continental/ros1/main
  * Merge pull request #29 <https://github.com/continental/hfl_driver/issues/29> from continental/ros1/devel
  * Merge pull request #21 <https://github.com/continental/hfl_driver/issues/21> from continental/ros1/devel
  * Merge pull request #15 <https://github.com/continental/hfl_driver/issues/15> from continental/ros1/devel
  * Merge pull request #12 <https://github.com/continental/hfl_driver/issues/12> from continental/ros1/main
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.16-1stretch) stretch; urgency=high

  * Merge pull request #38 <https://github.com/continental/hfl_driver/issues/38> from continental/ros1/main
  * add tf to package.xml
  * Update CMakeLists.txt
  * add tf to find
  * add tf2_geometry_msgs to find
  * fixed tf build error
  * clean up
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.15-1stretch) stretch; urgency=high

  * open rosrepo pr automatically
  * Merge pull request #35 <https://github.com/continental/hfl_driver/issues/35> from continental/release-0.0.14
  * 0.0.14
  * Update changelog
  * Merge pull request #30 <https://github.com/continental/hfl_driver/issues/30> from continental/ros1/main
  * fixed release workflow typo
  * Merge pull request #28 <https://github.com/continental/hfl_driver/issues/28> from continental/ros1/main
  * Contributors: Evan Flynn, flynneva

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.14-1stretch) stretch; urgency=high

  * Merge pull request #30 <https://github.com/continental/hfl_driver/issues/30> from continental/ros1/main
  * fixed release workflow typo
  * Merge pull request #28 <https://github.com/continental/hfl_driver/issues/28> from continental/ros1/main
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.13-1stretch) stretch; urgency=high

  * fixed roslint error

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.12-1stretch) stretch; urgency=high

  * removed unnecessary install files
  * fix udp_com linking error
  * update suppoted platforms
  * test depend roslint
  * move roslint within conditional
  * fixed rostest and arpa warning
  * should be catkin_add_gtest
  * removed arpa
  * fixed for kinetic
  * fixed cmake warnings and kinetic error
  * added archive destination to install step
  * switch back to action-ros-ci
  * switch back to manual ros ci
  * gh-pages should be html directory
  * Update ros_ci.yml
  * Merge pull request #13 <https://github.com/continental/hfl_driver/issues/13> from continental/ros1/main
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Mon, 24 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.11-1stretch) stretch; urgency=high

  * Merge pull request #9 <https://github.com/continental/hfl_driver/issues/9> from continental/main
  * updated release workflow
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Tue, 04 Aug 2020 00:00:00 -0000

ros-melodic-hfl-driver (0.0.10-1stretch) stretch; urgency=high



 -- Evan Flynn <evan.flynn@continental.com>  Tue, 04 Aug 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-hfl-driver
Section: misc
Priority: optional
Maintainer: Evan Flynn <evan.flynn@continental.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-generation, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-udp-com, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-hfl-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-generation, ros-melodic-message-runtime, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-udp-com, ros-melodic-visualization-msgs
Description: The hfl package

## ros-melodic-hfl-driver 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)

project(hfl_driver)

add_compile_options(-std=c++11)

add_subdirectory(hfl_utilities)

find_package(catkin REQUIRED COMPONENTS
  tf
  tf2
  tf2_geometry_msgs 
  dynamic_reconfigure
  nodelet
  roscpp
  rospy
  std_msgs
  image_transport
  image_geometry
  camera_info_manager
  cv_bridge
  udp_com
)

generate_dynamic_reconfigure_options(
  cfg/HFL.cfg
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES hfl_utilities
  CATKIN_DEPENDS 
  roscpp 
  rospy 
  std_msgs 
  visualization_msgs
  angles
  tf
  tf2
  tf2_geometry_msgs
  image_transport
  image_geometry
  camera_info_manager
  udp_com
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} 
  src/camera_commander/camera_commander.cpp
  src/image_processor/hfl110dcu.cpp
)

add_dependencies(${PROJECT_NAME} 
  ${PROJECT_NAME}_gencfg
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  hfl_utilities
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  find_package(rostest REQUIRED)
  # ROS linter
  roslint_cpp()
  # Add rostest gtest
  add_rostest_gtest(tests_hfl110dcu
    test/hfl110dcu.test 
    test/hfl110dcu-test.cpp
    test/hfl110dcu-utils-test.cpp
    test/test_main.cpp)

  target_link_libraries(tests_hfl110dcu
	  ${PROJECT_NAME}
	  ${catkin_LIBRARIES}
	  hfl_utilities)
endif()

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES
  launch/hfl110dcu.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch/
 )

install(FILES
  nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== hfl_utilities/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)

project(hfl_utilities)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
)

add_library(${PROJECT_NAME} SHARED 
  src/base_hfl110dcu.cpp
  src/hfl_frame.cpp
  src/hfl_interface.cpp
  src/hfl_pixel.cpp
)

target_include_directories(${PROJECT_NAME}
  INTERFACE include
)

## Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

=== debian/changelog ===
ros-melodic-hfl-driver (0.1.0-1bionic) bionic; urgency=high

  * remove kinetic from CI due to EOL
  * rotation fix, pointcloud size fix, telemetry parsing
  * bump ros actions
  * fixed documentation
  * removed include tof
  * removed msg gen
  * removed legacy code & clean up cmakelist
  * fix some links in readme
  * add link to continentals website
  * add note to readme
  * update readme
  * Contributors: Evan Flynn, flynneva

 -- Evan Flynn <evan.flynn@continental.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-melodic-hfl-driver (0.0.20-1bionic) bionic; urgency=high

  * fixed package.xml for rosdep install
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Tue, 15 Sep 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.19-1bionic) bionic; urgency=high

  * 0.0.19
  * Update changelog
  * removed hfl_utilties ros package.xml
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 11 Sep 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.18-1bionic) bionic; urgency=high

  * put in some dummy tests for now
  * fixed one unit test
  * hfl_utilities needs to be a SHARED lib
  * missing image_geometry in package.xml
  * fixed merge mistake
  * Merge branch 'updates' into ros1/devel
  * added comment referencing initMatrix function
  * merge in public github changes
  * 
    
      * various updates to pointcloud output
    
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 11 Sep 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.17-1bionic) bionic; urgency=high

  * fixed build export depend typo
  * add dynamic_reconfigure to build depend
  * 0.0.17
  * Update changelog
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.16-1bionic) bionic; urgency=high

  * add tf to package.xml
  * Update CMakeLists.txt
  * add tf to find
  * add tf2_geometry_msgs to find
  * fixed tf build error
  * clean up
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.15-1bionic) bionic; urgency=high

  * open rosrepo pr automatically
  * Update changelog
  * fixed release workflow typo
  * Contributors: Evan Flynn, flynneva

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.14-1bionic) bionic; urgency=high

  * fixed release workflow typo
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.13-1bionic) bionic; urgency=high

  * fixed roslint error

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 28 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.12-1bionic) bionic; urgency=high

  * removed unnecessary install files
  * fix udp_com linking error
  * update suppoted platforms
  * test depend roslint
  * move roslint within conditional
  * fixed rostest and arpa warning
  * should be catkin_add_gtest
  * removed arpa
  * fixed for kinetic
  * fixed cmake warnings and kinetic error
  * added archive destination to install step
  * switch back to action-ros-ci
  * switch back to manual ros ci
  * gh-pages should be html directory
  * Update ros_ci.yml
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Mon, 24 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.11-1bionic) bionic; urgency=high

  * updated release workflow
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Tue, 04 Aug 2020 07:00:00 -0000

ros-melodic-hfl-driver (0.0.10-1bionic) bionic; urgency=high



 -- Evan Flynn <evan.flynn@continental.com>  Tue, 04 Aug 2020 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-hfl-driver
Section: misc
Priority: optional
Maintainer: Evan Flynn <evan.flynn@continental.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-udp-com, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-hfl-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-angles, ros-melodic-camera-info-manager, ros-melodic-cv-bridge, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-message-runtime, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-udp-com, ros-melodic-visualization-msgs
Description: The hfl package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-hfl-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
